### Function

# Gimp param_spec_pattern

since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_pattern (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean none_ok,
      GimpPattern* default_value,
      gboolean default_to_context,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecPattern` specifying a `GimpPattern` property. See also `gimp_param_spec_resource()`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`none_ok`

  Type: `gboolean`

  Whether `NULL` is a valid value.

`default_value`

  Type: `GimpPattern`

  Default pattern.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_to_context`

  Type: `gboolean`

  Whether the context is the context’s pattern.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

The newly created `GimpParamSpecPattern`.

The data is owned by the called function.